SDL_AtomicIncRef(3)

NAME
SDL_AtomicIncRef - Increment an atomic variable used as a reference count.

HEADER FILE
Defined in SDL3/SDL_atomic.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_AtomicIncRef(a)    SDL_AtomicAdd(a, 1)

DESCRIPTION
Note: If you don't know what this macro is for, you shouldn't use it!

RETURN VALUE
Returns the previous value of the atomic variable.

AVAILABILITY
This macro is available since SDL 3.0.0.

SEE ALSO
SDL_AtomicDecRef(3)